net.minecraft.util

## Class ChatStyle

- java.lang.Object
- - net.minecraft.util.ChatStyle

-     public class ChatStyle
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ChatStyle.Serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChatStyle()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChatStyle` | `createDeepCopy()`
    `ChatStyle` | `createShallowCopy()`
    `boolean` | `equals(java.lang.Object par1Obj)`
    `boolean` | `getBold()`
    `ClickEvent` | `getChatClickEvent()`
    `HoverEvent` | `getChatHoverEvent()`
    `EnumChatFormatting` | `getColor()`
    `java.lang.String` | `getFormattingCode()`
    `boolean` | `getItalic()`
    `boolean` | `getObfuscated()`
    `boolean` | `getStrikethrough()`
    `boolean` | `getUnderlined()`
    `int` | `hashCode()`
    `boolean` | `isEmpty()`
    `ChatStyle` | `setBold(java.lang.Boolean p_150227_1_)`
    `ChatStyle` | `setChatClickEvent(ClickEvent p_150241_1_)`
    `ChatStyle` | `setChatHoverEvent(HoverEvent p_150209_1_)`
    `ChatStyle` | `setColor(EnumChatFormatting p_150238_1_)`
    `ChatStyle` | `setItalic(java.lang.Boolean p_150217_1_)`
    `ChatStyle` | `setObfuscated(java.lang.Boolean p_150237_1_)`
    `ChatStyle` | `setParentStyle(ChatStyle p_150221_1_)`
    `ChatStyle` | `setStrikethrough(java.lang.Boolean p_150225_1_)`
    `ChatStyle` | `setUnderlined(java.lang.Boolean p_150228_1_)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChatStyle

          public ChatStyle()

  - ### Method Detail

    - #### getColor

          public EnumChatFormatting getColor()

    - #### getBold

          public boolean getBold()

    - #### getItalic

          public boolean getItalic()

    - #### getStrikethrough

          public boolean getStrikethrough()

    - #### getUnderlined

          public boolean getUnderlined()

    - #### getObfuscated

          public boolean getObfuscated()

    - #### isEmpty

          public boolean isEmpty()

    - #### getChatClickEvent

          public ClickEvent getChatClickEvent()

    - #### getChatHoverEvent

          public HoverEvent getChatHoverEvent()

    - #### setColor

          public ChatStyle setColor(EnumChatFormatting p_150238_1_)

    - #### setBold

          public ChatStyle setBold(java.lang.Boolean p_150227_1_)

    - #### setItalic

          public ChatStyle setItalic(java.lang.Boolean p_150217_1_)

    - #### setStrikethrough

          public ChatStyle setStrikethrough(java.lang.Boolean p_150225_1_)

    - #### setUnderlined

          public ChatStyle setUnderlined(java.lang.Boolean p_150228_1_)

    - #### setObfuscated

          public ChatStyle setObfuscated(java.lang.Boolean p_150237_1_)

    - #### setChatClickEvent

          public ChatStyle setChatClickEvent(ClickEvent p_150241_1_)

    - #### setChatHoverEvent

          public ChatStyle setChatHoverEvent(HoverEvent p_150209_1_)

    - #### setParentStyle

          public ChatStyle setParentStyle(ChatStyle p_150221_1_)

    - #### getFormattingCode

          public java.lang.String getFormattingCode()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object par1Obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### createShallowCopy

          public ChatStyle createShallowCopy()

    - #### createDeepCopy

          public ChatStyle createDeepCopy()